## ros-melodic-rtmros-common 1.4.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rtmros_common)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-melodic-rtmros-common (1.4.3-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 19 Apr 2020 15:00:00 -0000

ros-melodic-rtmros-common (1.4.2-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 21 Dec 2017 15:00:00 -0000

ros-melodic-rtmros-common (1.4.1-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 24 Oct 2017 15:00:00 -0000

ros-melodic-rtmros-common (1.4.0-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Aug 2017 15:00:00 -0000

ros-melodic-rtmros-common (1.3.3-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 11 Feb 2017 15:00:00 -0000

ros-melodic-rtmros-common (1.3.2-1bionic) bionic; urgency=high

  * [fix][openrtm_ros_bridge] Fix genjava problem build_depend message_generation
  * [fix][hrpsys_ros_bridge] HrpsysSeqStateROSBridgeImpl.cpp: sensor->localR is world coords
  * [fix][rtm-ros-robot-interface.l] add time constant prameter according to upstream idl update
  * [fix] getFootStepParam interface according to upstream change. Remove rleg_coords and lleg_coords.
  * [feat] [hrpsys_ros_bridge/test/test-samplerobot.py] add test programs to check frame_id of off_xxsensor and ref_xxsensor (#940)
  * [feat] Set /robot/type param according to lower-case robot name such as samplerobot.
  * [feat] [hrpsys_ros_bridge/test/test-samplerobot.*] add a test program for init of hcf
  * [feat] fix collision visualization, color of sphere will be purple if collision occur
  * [feat] .travis.yml : add test when old hrpsys-ros-bridge exists (#929)
  * [feat] [hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l] Add check for param existence for def-set-get-param-method to neglect idl mismatch error. Fix indent. (#933)
  * [feat] [hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l] Add reference force updater euslisp methods.
  * [feat] [hrpsys_ros_bridge/euslisp/rtm-ros-robot-interface.l] Add object turnaround detector moment version interface.l
  * [feat] Add more CORBA exception information. Add BAD_PARAM, MARSHAL, and OBJECT_NOT_EXIST checking. Add minor code printing and possible case assumption.
  * [feat][openrtm_tools] Enable to set push_policy and push_rate for DataPorts from hrpsys_ros_bridge.launch argument. Use all and 50.0 by default to keep backward compatibility.
  * [feat][openrtm_tools] Enable to set subscription_type for DataPorts from hrpsys_ros_bridge.launch argument. Use new by default to keep backward compatibility.
  * [feat][hrpsys_tools] add ReferenceForceUpdater
  * [feat] enable virtual force in HrpsysSeqStateROSBridgeImpl
  * [feat] Enable to set subscription_type for DataPorts from hrpsys_ros_bridge.launch argument. Use new by default to keep backward compatibility.
  * [feat] Add loading of optionalData from seq pattern file.
  * [feat] add time constant prameter according to upstream idl update
  * [feat] Add HrpsysSeqStateROSBridge tf rate test
  * [feat] Add define controller #887 <https://github.com/start-jsk/rtmros_common/issues/887>
  * [feat] Add leg limb controller setting.
  * [feat] Add method to define joint trajectory controller by default setting.
  * [feat] Add gopos overwrite and graspless manip mode to all demos
  * [feat] Add example for graspless manip mode and gopos overwrite.
  * [feat] Add euslisp interface for graspless manip mode.
  * [feat] add a set-default-step-time-with-the-same-swing-time method
  * [doc] default documentation string for def-set-get-param-method setter and getter.
  * [doc] In-code documentation improvement
  * Contributors: Eisoku Kuroiwa, Kei Okada, Kentaro Wada, Masaki Murooka, Shunichi Nozawa, Koyama Ryo, Yohei Kakiuchi, Yu Ohara, Iori Kuroiwa, Isaac I.Y. Saito

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 25 Apr 2016 15:00:00 -0000

ros-melodic-rtmros-common (1.3.1-1bionic) bionic; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 15 Dec 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.3.0-1bionic) bionic; urgency=high

  * deb release only targeting to indigo

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 08 Dec 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.14-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 22 Jun 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.13-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 10 Jun 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.12-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 26 Apr 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.11-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 24 Apr 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.10-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Apr 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.9-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 10 Apr 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.8-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 08 Mar 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.7-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 05 Jan 2015 15:00:00 -0000

ros-melodic-rtmros-common (1.2.6-1bionic) bionic; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Oct 2014 15:00:00 -0000

ros-melodic-rtmros-common (1.2.5-1bionic) bionic; urgency=high

  * Improvement on rtm-ros-robot-interface, datalogger-log-parser, samplerobot
  * Fix stamp of odom and imu
  * Improve dependency: robot_pose_ekf.launch, robot_pose_ekf
  * Add depend on std_msgs
  * Contributors: Kei Okada, Shunichi Nozawa, Yohei Kakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 03 Oct 2014 15:00:00 -0000

ros-melodic-rtmros-common (1.2.4-1bionic) bionic; urgency=high





=== debian/control ===
Source: ros-melodic-rtmros-common
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/rtmros_common
Standards-Version: 3.9.2

Package: ros-melodic-rtmros-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-hrpsys-ros-bridge, ros-melodic-hrpsys-tools, ros-melodic-openrtm-ros-bridge, ros-melodic-openrtm-tools, ros-melodic-rosnode-rtc, ros-melodic-rtmbuild
Description: A package suite that provides all the capabilities for the ROS users to connect to the robots that run on RT Middleware or RTM-based controllers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-rtmros-common//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
